import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import java.io.UnsupportedEncodingException;

public final class LogonForm extends ActionForm 
{
    private String password = null;
    private String username = null;

    /** pX[h擾 */
    public String getPassword(){
        return (this.password);
    }

    /** pX[hݒ */
    public void setPassword(String password){
        if(password!=null){
          try {
	    password=new String(password.getBytes("8859_1"),"EUC_JP");
          } catch (UnsupportedEncodingException e){}
	}
        this.password = password;
    }

    /** [U擾 */
    public String getUsername(){
        if(username!=null){
          try {
	    username=new String(username.getBytes("8859_1"),"EUC_JP");
          } catch (UnsupportedEncodingException e){}
	}
        return (this.username);
    }

    /** [Uݒ */
    public void setUsername(String username){
        this.username = username;
    }

    /** Zbg */
    public void reset(ActionMapping mapping,
        HttpServletRequest request) 
    {
        setPassword(null);
        setUsername(null);
    }

    public ActionErrors validate(ActionMapping mapping,
                                 HttpServletRequest request){
        ActionErrors errors = new ActionErrors();
        if ((username == null) || (username.length() < 1))
            errors.add("username", new ActionError("error.username.required"));
        if ((password == null) || (password.length() < 1))
            errors.add("password", new ActionError("error.password.required"));
        return errors;
    }
}

